## xtb 6.7.0

=== CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.17)
option(WITH_OBJECT "To build using object library" TRUE)
option(INSTALL_MODULES "Install Fortran module files to include directory." FALSE)

# Buggy CMake versions
if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27.0 AND CMAKE_VERSION VERSION_LESS 3.28.0)
   set(WITH_OBJECT FALSE)
endif()

# Setup the xtb Project
project(
  "xtb"
  VERSION "6.7.0" 
  LANGUAGES "C" "Fortran"
)

enable_testing()

# Follow GNU conventions for installing directories
include(GNUInstallDirs)


# Include CMake specific configurations
add_subdirectory("cmake")

# Check a specific CMake targets for xtb build & execute corresponding Find scripts
if(NOT TARGET "mctc-lib::mctc-lib")
  find_package("mctc-lib" REQUIRED)
endif()

if(NOT TARGET "tblite::tblite" AND WITH_TBLITE)
   find_package("tblite" REQUIRED)
   add_compile_definitions(WITH_TBLITE)
endif()

if(NOT TARGET "cpcmx::cpcmx" AND WITH_CPCMX)
   find_package("cpcmx" REQUIRED)
   add_compile_definitions(WITH_CPCMX)
endif()

if(NOT TARGET "test-drive::test-drive")
  find_package("test-drive" REQUIRED)
endif()

# Sources: initialize program sources (prog) and library sources (srcs) empty
set(prog)
set(srcs)

# add filenames to the list variables
add_subdirectory("src")
add_subdirectory("symmetry")


# CMake modules for third-party software
if(NOT TARGET "OpenMP::OpenMP_Fortran" AND WITH_OpenMP)
  find_package("OpenMP" REQUIRED)
endif()
find_package("LAPACK" REQUIRED)
find_package("BLAS" REQUIRED)


if(NOT EXISTS "${PROJECT_BINARY_DIR}/include")
   file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/include")
endif()

##################
# OBJECT LIBRARY #
##################
if(WITH_OBJECT)
   
   add_library(
      "${PROJECT_NAME}-object"
      OBJECT
      ${srcs}
   )


   # customize object library
   set_target_properties(
      "${PROJECT_NAME}-object"
      PROPERTIES
      Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
      POSITION_INDEPENDENT_CODE ON
   )

   # link object library against mctc-lib &
   # & conditionally against OpenMP, tblite, cpcmx
   target_link_libraries(
      "${PROJECT_NAME}-object"
      PUBLIC
      "mctc-lib::mctc-lib"
      "$<$<BOOL:${WITH_CPCMX}>:cpcmx::cpcmx>"
      "$<$<BOOL:${WITH_TBLITE}>:tblite::tblite>"
      "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   )

   # include directories
   target_include_directories(
      "${PROJECT_NAME}-object"
      PUBLIC
      ${xtb-config-dir}
      ${PROJECT_BINARY_DIR}
      $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
      $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
      $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
   )

endif()

##################
# Static Library #
##################
if(WITH_OBJECT)
   add_library(
      "lib-${PROJECT_NAME}-static"
      STATIC
      $<TARGET_OBJECTS:${PROJECT_NAME}-object>
   )
else()
   add_library(
      "lib-${PROJECT_NAME}-static"
      STATIC
      ${srcs}
   )
endif()


target_link_libraries(
   "lib-${PROJECT_NAME}-static"
   PUBLIC
   ${BLAS_LIBRARIES}
   ${LAPACK_LIBRARIES}
   "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   "mctc-lib::mctc-lib"
   "$<$<BOOL:${WITH_CPCMX}>:cpcmx::cpcmx>"
   $<$<BOOL:${WITH_TBLITE}>:tblite::tblite>
)

set_target_properties(
   "lib-${PROJECT_NAME}-static"
   PROPERTIES
   Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
   ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}"
   POSITION_INDEPENDENT_CODE ON
   OUTPUT_NAME "${PROJECT_NAME}"
 )


target_include_directories(
  "lib-${PROJECT_NAME}-static"
  PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)


##################
# Shared Library #
##################
if (WITH_OBJECT) 
   add_library(
      "lib-${PROJECT_NAME}-shared"
      SHARED
      $<TARGET_OBJECTS:${PROJECT_NAME}-object>
   )

   target_link_libraries(
      "lib-${PROJECT_NAME}-shared"
      PUBLIC
      ${BLAS_LIBRARIES}
      ${LAPACK_LIBRARIES}
      "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
      "mctc-lib::mctc-lib"
      "$<$<BOOL:${WITH_CPCMX}>:cpcmx::cpcmx>"
      "$<$<BOOL:${WITH_TBLITE}>:tblite::tblite>"
   )

   set_target_properties(
      "lib-${PROJECT_NAME}-shared"
      PROPERTIES
      Fortran_MODULE_DIRECTORY "${PROJECT_BINARY_DIR}/include"
      LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}"
      OUTPUT_NAME "${PROJECT_NAME}"
      VERSION "${PROJECT_VERSION}"
      SOVERSION "${PROJECT_VERSION_MAJOR}"
   )

   target_include_directories(
      "lib-${PROJECT_NAME}-shared"
      PUBLIC
      $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
      $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
      $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
   )
endif()

###############
# Executables #
###############

add_executable(
  ${PROJECT_NAME}-exe
  ${prog}
)

target_link_libraries(
   ${PROJECT_NAME}-exe
   PRIVATE
   "lib-${PROJECT_NAME}-static"
)

set_target_properties(
  ${PROJECT_NAME}-exe
  PROPERTIES
  Fortran_MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/include
  RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}
  OUTPUT_NAME "${PROJECT_NAME}"
)

target_include_directories(
   ${PROJECT_NAME}-exe 
   PRIVATE 
   ${PROJECT_SOURCE_DIR}/include
   $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
)

######################
# Installation rules #
######################
# API for C/C++
install(
   FILES
   "${PROJECT_SOURCE_DIR}/include/xtb.h"
   DESTINATION
   "${CMAKE_INSTALL_INCLUDEDIR}"
)

if (INSTALL_MODULES)
   install(
      DIRECTORY
      "${PROJECT_BINARY_DIR}/include/"
      DESTINATION
      "${CMAKE_INSTALL_INCLUDEDIR}"
   )
endif()

# xtb-parameters 
install(
   FILES
   "${PROJECT_SOURCE_DIR}/param_gfn0-xtb.txt"
   "${PROJECT_SOURCE_DIR}/param_gfn1-xtb.txt"
   "${PROJECT_SOURCE_DIR}/param_gfn1-si-xtb.txt"
   "${PROJECT_SOURCE_DIR}/param_gfn2-xtb.txt"
   "${PROJECT_SOURCE_DIR}/param_ipea-xtb.txt"
   "${PROJECT_SOURCE_DIR}/.param_gfnff.xtb"
   DESTINATION
   "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}"
)

# Build output artifacts
if (WITH_OBJECT)
   install(
      TARGETS
      "lib-${PROJECT_NAME}-static"
      "lib-${PROJECT_NAME}-shared"
      "${PROJECT_NAME}-exe"
      EXPORT "${PROJECT_NAME}-targets"
      LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
      INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"   
   )
else()
   install(
      TARGETS
      "lib-${PROJECT_NAME}-static"
      "${PROJECT_NAME}-exe"
      EXPORT "${PROJECT_NAME}-targets"
      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
      INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
   )
endif()

# CMake package files
include(CMakePackageConfigHelpers)

# -- Config version file
write_basic_package_version_file(
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY AnyNewerVersion
)

# -- Config file
configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/cmake/config.cmake.in"
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

# -- Install config and configVersion
install(
  FILES
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

# -- Targets file
# -- This makes the project importable from the build directory
export(
   EXPORT "${PROJECT_NAME}-targets"
   FILE "${PROJECT_BINARY_DIR}/${PROJECT_NAME}-targets.cmake"
)

# -- This makes the project importable from the install directory
install(
   EXPORT "${PROJECT_NAME}-targets"
   FILE "${PROJECT_NAME}-targets.cmake"
   DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)
   
# Tests
add_subdirectory("test")

=== cmake/CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the Lesser GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Lesser GNU General Public License for more details.
#
# You should have received a copy of the Lesser GNU General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

# Some user-configurable features
option(WITH_OpenMP "Enable support for shared memory parallelisation with OpenMP" TRUE)
option(WITH_TBLITE "Use tblite library as backend for xTB" TRUE)
option(WITH_CPCMX "Use CPCM-X solvation library for xTB" TRUE)


# Set build type as CMake does not provide defaults
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(
    CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "Build type to be used."
    FORCE
  )
  message(
    STATUS
    "Setting build type to '${CMAKE_BUILD_TYPE}' as none was specified."
  )
endif()

# Add modules to the CMake build 
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/modules")
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" PARENT_SCOPE)

# specify module installation directory
install(
  DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/modules/"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

# Compiler-specific configurations 
if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
  set(dialects "-fdefault-real-8 -fdefault-double-8 -ffree-line-length-none -fbacktrace")
  set(bounds "-fbounds-check -ffpe-trap=invalid,zero,overflow")
elseif(CMAKE_Fortran_COMPILER_ID MATCHES "Intel")
  set(dialects "-axAVX2 -r8 -traceback")
  set(bounds "-check all -fpe0")
elseif(CMAKE_Fortran_COMPILER_ID MATCHES "PGI")
  set(dialects "-Mbackslash -Mallocatable=03 -r8 -traceback")
endif()

# Customize compiler flags
set(CMAKE_Fortran_FLAGS_DEBUG "${CMAKE_Fortran_FLAGS_DEBUG} ${bounds}" PARENT_SCOPE)
set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} ${dialects}" PARENT_SCOPE)


# Populate xtb_version.fh with metadata
set(version ${PROJECT_VERSION})
execute_process(COMMAND git rev-parse HEAD
  RESULT_VARIABLE git_return
  OUTPUT_VARIABLE commit)
if(git_return)
  set(commit "unknown-commit")
else()
  string(REGEX REPLACE "\n$" "" commit ${commit})
endif()
string(TIMESTAMP date "%Y/%m/%d")
set(author $ENV{USERNAME})
set(origin ${CMAKE_HOST_SYSTEM_NAME})
configure_file(
  "${PROJECT_SOURCE_DIR}/assets/templates/version.f90"
  "${PROJECT_BINARY_DIR}/include/xtb_version.fh"
  @ONLY
)

=== src/lbfgs_anc/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/driver.f90"
  "${dir}/filter_cart.f90"
  "${dir}/filter.f90"
  "${dir}/filter_type.f90"
  "${dir}/lbfgs.f90"
  "${dir}/optimizer.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/mctc/blas/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
   "${dir}/level1.F90"
   "${dir}/level2.F90"
   "${dir}/level3.F90"
   "${dir}/wrap1.f90"
   "${dir}/wrap2.f90"
   "${dir}/wrap3.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== debian/changelog ===
xtb (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Mar 2024 03:05:55 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem meson

execute_after_dh_auto_build:
	cd man && a2x --doctype manpage --format manpage xtb.1.adoc

## xtb 6.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # Setup the xtb Project
 project(
   "xtb"
-  VERSION "6.7.0" 
+  VERSION "6.7.1" 
   LANGUAGES "C" "Fortran"
 )

=== meson_options.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

option(
  'lapack',
  type: 'combo',
  value: 'auto',
  yield: true,
  choices: ['auto', 'mkl', 'mkl-rt', 'openblas', 'netlib', 'custom'],
  description: 'Linear algebra backend for program.',
)

option(
  'custom_libraries',
  type: 'array',
  value: [],
  yield: true,
  description: 'libraries to load for custom linear algebra backend',
)

option(
  'tblite',
  type: 'feature',
  value: 'auto',
  yield: true,
  description: 'use tblite library as backend for xTB',
)

option(
  'cpcmx',
  type: 'feature',
  value: 'auto',
  yield: true,
  description: 'include CPCM-X library for solvation evaluation',
)

option(
  'openmp',
  type: 'boolean',
  value: true,
  yield: true,
  description: 'use OpenMP parallelisation',
)
option(
  'install_modules',
  type: 'boolean',
  value: false,
  description: 'Install Fortran module files to include directory.',
)
option(
  'build_name',
  type: 'string',
  value: 'unknown',
  description: 'Name of the build, will be overwritten automatically by git',
)

# GPU specific options
option('gpu', type: 'boolean', value: false,
       description: 'use GPU acceleration')
option('gpu_arch', type: 'string', value: '70',
       description: 'GPU architecture version string')
option('cusolver', type: 'boolean', value: false,
       description: 'Use cuSOLVER for eigensolver routines')
option('nvtx', type: 'boolean', value: false,
       description: 'use NVTX markers')

=== src/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

add_subdirectory("api")
add_subdirectory("coulomb")
add_subdirectory("dipro")
add_subdirectory("disp")
add_subdirectory("docking")
add_subdirectory("extern")
add_subdirectory("freq")
add_subdirectory("gfnff")
add_subdirectory("io")
add_subdirectory("iff")
add_subdirectory("main")
add_subdirectory("mctc")
add_subdirectory("param")
add_subdirectory("prog")
add_subdirectory("ptb")
add_subdirectory("solv")
add_subdirectory("tblite")
add_subdirectory("type")
add_subdirectory("xtb")
add_subdirectory("lbfgs_anc")

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/aespot.f90"
  "${dir}/anharmlib.f90"
  "${dir}/aoparam.f90"
  "${dir}/approxrab.f90"
  "${dir}/axis_trafo.f90"
  "${dir}/basic_geo.f90"
  "${dir}/bfgs.f90"
  "${dir}/bias_path.f90"
  "${dir}/blowsy.f90"
  "${dir}/broyden.f90"
  "${dir}/charge_model.f90"
  "${dir}/coffee.f90"
  "${dir}/constrain_param.f90"
  "${dir}/constrain_pot.f90"
  "${dir}/constr.f90"
  "${dir}/cqpath.f90"
  "${dir}/cube.f90"
  "${dir}/david2.f90"
  "${dir}/david.f"
  "${dir}/define.f90"
  "${dir}/detrotra.f90"
  "${dir}/dipole.f90"
  "${dir}/dipro.F90"
  "${dir}/drsp.f"
  "${dir}/dtrafo.f90"
  "${dir}/dynamic.f90"
  "${dir}/eeq_model.f90"
  "${dir}/elem.f90"
  "${dir}/embedding.f90"
  "${dir}/enso_printout.f90"
  "${dir}/eqrot.f90"
  "${dir}/esp.f"
  "${dir}/expire.f90"
  "${dir}/features.F90"
  "${dir}/filetools.F90"
  "${dir}/fixparam.f90"
  "${dir}/foden.f90"
  "${dir}/fragment.f90"
  "${dir}/generate_wsc.f90"
  "${dir}/geoopt_driver.f90"
  "${dir}/geosum.f90"
  "${dir}/getkopt.f90"
  "${dir}/getname.f90"
  "${dir}/getsymnum.f90"
  "${dir}/gfn0param.f90"
  "${dir}/gfn_paramset.f90"
  "${dir}/gfn_prparam.f90"
  "${dir}/grad_core.f90"
  "${dir}/header.f90"
  "${dir}/hessian.F90"
  "${dir}/hlex.f90"
  "${dir}/ifind.f90"
  "${dir}/iniq.f90"
  "${dir}/intgrad.f90"
  "${dir}/intmodes.f90"
  "${dir}/intpack.f90"
  "${dir}/lidep.f90"
  "${dir}/lindh.f90"
  "${dir}/lin.f90"
  "${dir}/lin_mod.f90"
  "${dir}/local.f90"
  "${dir}/locmode.f90"
  "${dir}/lopt.f90"
  "${dir}/ls_rmsd.f90"
  "${dir}/makel.f90"
  "${dir}/matinv.f90"
  "${dir}/mdoptim.f90"
  "${dir}/metadynamic.f90"
  "${dir}/modef.f90"
  "${dir}/model_hessian.f90"
  "${dir}/neighbor.f90"
  "${dir}/onetri.f90"
  "${dir}/oniom.f90"
  "${dir}/optimizer.f90"
  "${dir}/pbc.f90"
  "${dir}/pbc_tools.f90"
  "${dir}/peeq_module.f90"
  "${dir}/pocketscan.f90"
  "${dir}/pqn.f90"
  "${dir}/printmold.f90"
  "${dir}/printout.f90"
  "${dir}/prmat.f90"
  "${dir}/pseudodiag.f90"
  "${dir}/qpot.f90"
  "${dir}/qsort.f90"
  "${dir}/rdcoord2.f90"
  "${dir}/read_gfn_param.f90"
  "${dir}/readin.f90"
  "${dir}/readl2.f90"
  "${dir}/readl.f90"
  "${dir}/relaxation_engine.f90"
  "${dir}/restart.f90"
  "${dir}/rmrottr.f90"
  "${dir}/rmsd.f90"
  "${dir}/scan_driver.f90"
  "${dir}/scanparam.f90"
  "${dir}/scc_core.f90"
  "${dir}/scf_module.F90"
  "${dir}/screening.f90"
  "${dir}/set_module.f90"
  "${dir}/setparam.f90"
  "${dir}/shake_module.f90"
  "${dir}/shiftlp.f90"
  "${dir}/single.f90"
  "${dir}/slater.f90"
  "${dir}/sphereparam.f90"
  "${dir}/spline2.f90"
  "${dir}/spline3.f90"
  "${dir}/splitparam.f90"
  "${dir}/stm.f"
  "${dir}/surfac.f"
  "${dir}/thermo.f90"
  "${dir}/timing.f90"
  "${dir}/topology.f90"
  "${dir}/vertical.f90"
  "${dir}/wrbas.f90"
  "${dir}/wrgbw.f90"
  "${dir}/wrmodef.f90"
  "${dir}/wrmo.f90"
  "${dir}/xhelp.f90"
  "${dir}/zmatpr.f90"
)

set(srcs ${srcs} PARENT_SCOPE)
set(prog ${prog} PARENT_SCOPE)

=== test/CMakeLists.txt ===
# This file is part of xtb.
# SPDX-Identifier: LGPL-3.0-or-later
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the Lesser GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Lesser GNU General Public License for more details.
#
# You should have received a copy of the Lesser GNU General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

iF (WITH_OBJECT)
   add_subdirectory("api")
endif()

add_subdirectory("unit")

=== src/api/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/calculator.f90"
  "${dir}/environment.f90"
  "${dir}/molecule.f90"
  "${dir}/interface.f90"
  "${dir}/results.f90"
  "${dir}/utils.f90"
  "${dir}/version.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/coulomb/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/ewald.f90"
  "${dir}/gaussian.f90"
  "${dir}/klopmanohno.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/dipro/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2022 Sebastian Ehlert, Julia Kohn
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/bondorder.F90"
  "${dir}/fragment.f90"
  "${dir}/output.f90"
  "${dir}/version.f90"
  "${dir}/xtb.F90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/gfnff/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/calculator.f90"
  "${dir}/data.f90"
  "${dir}/frag_hess.f90"
  "${dir}/gdisp0.f90"
  "${dir}/generator.f90"
  "${dir}/gfnff_eg.f90"
  "${dir}/gfnff_ini.f90"
  "${dir}/gfnff_ini2.f90"
  "${dir}/gfnff_param.f90"
  "${dir}/gfnff_qm.f90"
  "${dir}/gfnff_rab.f"
  "${dir}/gfnff_setup.f90"
  "${dir}/math.f"
  "${dir}/mrec.f90"
  "${dir}/neighbourlist.f90"
  "${dir}/shake_module.f90"
  "${dir}/struc_converter.f90"
  "${dir}/neighbor.f90"
  "${dir}/topology.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/main/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/defaults.f90"
  "${dir}/geometry.f90"
  "${dir}/json.F90"
  "${dir}/property.F90"
  "${dir}/setup.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/mctc/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

add_subdirectory("blas")
add_subdirectory("lapack")

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

# MCTC library
list(APPEND srcs
  "${dir}/accuracy.f90"
  "${dir}/boundaryconditions.f90"
  "${dir}/chartools.f90"
  "${dir}/convert.f90"
  "${dir}/filetypes.f90"
  "${dir}/io.f90"
  "${dir}/math.f90"
  "${dir}/namegen.f90"
  "${dir}/resize.f90"
  "${dir}/runtypes.f90"
  "${dir}/search.f90"
  "${dir}/sort.f90"
  "${dir}/symbols.f90"
  "${dir}/systools.F90"
  "${dir}/thresholds.f90"
  "${dir}/version.f90"
  "${dir}/mctc_global.F90"
  "${dir}/mctc_strings.f90"
  "${dir}/mctc_constants.f90"
  "${dir}/mctc_param.f90"
  "${dir}/param/atomic_masses.f90"
  "${dir}/param/chemical_hardnesses.f90"
  "${dir}/param/covalent_radii.f90"
  "${dir}/param/electronegativities.f90"
  "${dir}/param/pse.f90"
  "${dir}/param/r4r2_expectation_values.f90"
  "${dir}/mctc_timings.f90"
  "${dir}/mctc_filetools.f90"
  "${dir}/linalg.f90"
  "${dir}/lapack.f90"
  "${dir}/blas.f90"
  "${dir}/mctc_init.F90"
  "${dir}/error.f90"
  "${dir}/signal.c"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/param/CMakeLists.txt ===
# Copyright (C) 2019-2020 Sebastian Ehlert
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/atomicmass.f90"
  "${dir}/atomicrad.f90"
  "${dir}/covalentradd3.f90"
  "${dir}/paulingen.f90"
  "${dir}/sqrtzr4r2.f90"
  "${dir}/vdwradd3.f90"
  "${dir}/vdwradcosmo.f90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== src/ptb/CMakeLists.txt ===
# This file is part of xtb.
#
# Copyright (C) 2022 Marcel Müller 
#
# xtb is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# xtb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with xtb.  If not, see <https://www.gnu.org/licenses/>.

set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(APPEND srcs
  "${dir}/calculator.F90"
  "${dir}/param.F90"
  "${dir}/data.f90"
  "${dir}/vdzp.F90"
  "${dir}/twostepscf.F90"
  "${dir}/mmlpopanalysis.F90"
  "${dir}/ncoord.F90"
  "${dir}/corebasis.F90"
  "${dir}/hamiltonian.F90"
  "${dir}/guess.F90"
  "${dir}/paulixc.F90"
  "${dir}/integral_types.F90"
  "${dir}/integrals.F90"
  "${dir}/coulomb.F90"
  "${dir}/plusu.F90"
  "${dir}/property.F90"
  "${dir}/response.F90"
)

set(srcs ${srcs} PARENT_SCOPE)

=== debian/changelog ===
xtb (6.7.1-3) unstable; urgency=medium

  * Forbid parallel builds (Closes: #1114451)

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Sep 2025 02:29:53 -0400

xtb (6.7.1-2) unstable; urgency=medium

  * Team upload
  * New patch drop_multicharge_dftd4_deps.patch removing additional build
    dependencies on multicharge and dftd4. (Closes: #1100792)

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2025 17:27:42 +0200

xtb (6.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.7.1

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 21:31:28 +0100

=== debian/control ===
Source: xtb
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 gfortran,
 libmctc-lib-dev,
 libopenblas-dev,
 meson,
 pkgconf,
 xsltproc,
Standards-Version: 4.6.2
Homepage: https://github.com/grimme-lab/xtb
Vcs-Browser: https://salsa.debian.org/debichem-team/xtb
Vcs-Git: https://salsa.debian.org/debichem-team/xtb.git

Package: libxtb-dev
Architecture: any
Section: libdevel
Depends:
 libxtb6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the development files.

Package: libxtb6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared library for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the shared library.

Package: xtb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: semiempirical extended tight-binding program package
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem meson --no-parallel

execute_after_dh_auto_build:
	cd man && a2x --doctype manpage --format manpage xtb.1.adoc

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/xtb-$1\.tar\.gz/ https://github.com/grimme-lab/xtb/tags .*\/v(\d\S+)\.tar\.gz
